## Redirect Input

## Usage

    source(file, local = FALSE, echo = verbose, print.eval = echo,
           verbose = .Options$verbose,  prompt.echo = .Options$prompt,
           max.deparse.length = 150)

## Arguments

`file` | character; the name of the file to read from (quoted).
`local` | if `local` is `FALSE`, the statements scanned are evaluated in the global environment, otherwise in the local calling source.
`echo` | logical; if `TRUE`, each expression is printed after parsing, before evaluation.
`print.eval` | logical; if `TRUE`, the result of `eval(i)` is printed for each expression `i`; defaults to `echo`.
`verbose` | if `TRUE`, more diagnostics (than just `echo = TRUE`) are printed during parsing and evaluation of input, including extra info for each expression.
`prompt.echo` | character; gives the prompt to be used if `echo = TRUE`.
`max.deparse.length` | integer; is used only if `echo` is `TRUE` and gives the maximal length of the ``echo'' of a single expression.

## Description

`source` causes R to accept its input from the named file (the name must be quoted). Input is read from that file until the end of the file is reached. `parse` is used to scan the expressions in, they are then evaluated sequentially in the chosen environment.

## See Also

`demo` which uses `source`; `eval`, `parse` and `scan`.

[Package Contents]